Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class PKIXCertPathBuilderSpi

    java.lang.Object
      |
      +--java.security.cert.CertPathBuilderSpi
            |
            +--org.bouncycastle.jce.provider.PKIXCertPathBuilderSpi

public class PKIXCertPathBuilderSpi
extends java.security.cert.CertPathBuilderSpi

Implements the PKIX CertPathBuilding algorithem for BouncyCastle.
MAYBE: implement more CertPath validation whil build path to omit invalid pathes

See Also:
  `CertPathBuilderSpi`

Constructor Summary
`PKIXCertPathBuilderSpi()`

Method Summary
`java.security.cert.CertPathBuilderResult` | `engineBuild(java.security.cert.CertPathParameters params)` Build and validate a CertPath using the given parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIXCertPathBuilderSpi

    public PKIXCertPathBuilderSpi()

Method Detail

### engineBuild

    public java.security.cert.CertPathBuilderResult engineBuild(java.security.cert.CertPathParameters params)
                                                         throws java.security.cert.CertPathBuilderException,
                                                                java.security.InvalidAlgorithmParameterException

  Build and validate a CertPath using the given parameter.

  Specified by:
    `engineBuild` in class `java.security.cert.CertPathBuilderSpi`
  Parameters:
    `params` - PKIXBuilderParameters object containing all information to build the CertPath
    `java.security.cert.CertPathBuilderException`
    `java.security.InvalidAlgorithmParameterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD